const { expect, should } = require('chai');
const { customWriteFile, customMkdirSync, customReadFile } = require('../utils/file-system');

describe('Work with files', async () => {
  it('Read files', async () => {
    customReadFile('./test/data/model-config.json', (err, data) => {
      const arrFolderNames = Object.entries(JSON.parse(data)).filter(item => item[1].dataSource === 'db');
      should();
      arrFolderNames.should.be.a('array');
      Promise.all(
        arrFolderNames.map(item => {
          const itemName = item[0];
          return new Promise(() => {
            customReadFile(`./test/data/models/${itemName}/${itemName}.json`, (err, data) => {
              if (!err) {
                const modelData = JSON.parse(data);
                modelData.should.be.a('object');
              }
            });
          });
        }),
      );
    });
  });
  it('Create folder and write file', async () => {
    customMkdirSync('./test', { recursive: true });
    customWriteFile('./test/test.entity.ts', 'test', (err) => {
      console.log('Test was successful formed and written to file');
    });
  })
});