'use strict';

const types = ['json', 'jsonb'];
const itemsForSimpleArray = ['[]', 'string[]', 'number[]', '{}[]'];
const additionalSpaces = '  '; //2 spaces in TypeORM models

const customFields = {
  category: 'categories',
  company: 'companies',
};

const childLists = [
  'replies',
  'subcomments',
  'subdepartments',
  'subindustries',
  'subcategories',
];

const checkColumns = [
  'createdAt',
  'updatedAt',
];

/**
 * example console.log(colours.bg.blue, colours.fg.white, "I am a white message with a blue background", colours.reset);
 * Make sure that you don't forget "colours.reset" at the so that you can reset the console back to it's original colours.
 */
const colours = {
  reset: "\x1b[0m",
  bright: "\x1b[1m",
  dim: "\x1b[2m",
  underscore: "\x1b[4m",
  blink: "\x1b[5m",
  reverse: "\x1b[7m",
  hidden: "\x1b[8m",

  fg: {
    black: "\x1b[30m",
    red: "\x1b[31m",
    green: "\x1b[32m",
    yellow: "\x1b[33m",
    blue: "\x1b[34m",
    magenta: "\x1b[35m",
    cyan: "\x1b[36m",
    white: "\x1b[37m",
    crimson: "\x1b[38m" // Scarlet
  },
  bg: {
    black: "\x1b[40m",
    red: "\x1b[41m",
    green: "\x1b[42m",
    yellow: "\x1b[43m",
    blue: "\x1b[44m",
    magenta: "\x1b[45m",
    cyan: "\x1b[46m",
    white: "\x1b[47m",
    crimson: "\x1b[48m"
  }
};

module.exports = {
  childLists,
  checkColumns,
  types,
  customFields,
  additionalSpaces,
  itemsForSimpleArray,
  colours,
}